"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const injection_1 = require("@methodus/server/injection");
const socket_server_1 = require("./servers/socket.server");
describe('Test SocketIO configuration', () => {
    const testTarget = injection_1.default.Injector.resolve('TestTarget');
    let server;
    beforeAll(() => {
        return new Promise((resolve, reject) => {
            server = new socket_server_1.SocketTestServer();
            server.on('ready', () => {
                resolve({});
            });
        });
    });
    it('list', () => __awaiter(void 0, void 0, void 0, function* () {
        const response = yield testTarget.list('someauth', 'up');
        expect(response.result.length).toEqual(5);
    }));
    afterAll(() => __awaiter(void 0, void 0, void 0, function* () {
        server.kill();
    }));
});
//# sourceMappingURL=socket.spec.js.map