"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.send = void 0;
const commons_1 = require("@methodus/server/commons");
function send(methodus, functionArgs, paramsMap, securityContext) {
    return new Promise((resolve, reject) => __awaiter(this, void 0, void 0, function* () {
        const dataObject = {};
        functionArgs.forEach((element, index) => {
            dataObject[paramsMap.filter((item) => {
                return item.index === index;
            })[0].name] = element;
        });
        const myUri = yield methodus.resolver();
        const socket = require('socket.io-client')(myUri);
        socket.on('connect', () => {
            const messageName = methodus.verb + '_' + methodus.route;
            socket.emit(messageName, dataObject, (data) => {
                socket.close();
                if (data.error && data.statusCode) {
                    commons_1.default.logger.error(data);
                    reject(data);
                }
                else {
                    resolve(data);
                }
            });
        });
    }));
}
exports.send = send;
//# sourceMappingURL=transport.js.map